//
//  FileManager.h
//  AsReaderScan
//
//  Created by Yasutaka Oshiro on 2021/08/31.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface FileManager : NSObject

+ (instancetype)sharedInstance;
- (BOOL)exportCSV:(NSString *)fileName dataArray:(NSArray *)dataArray;
- (BOOL)exportExcel:(NSString *)fileName dataArray:(NSMutableArray *)dataArray;
- (void)deleteFile:(NSString *)fileName;
@end

NS_ASSUME_NONNULL_END
